package ru.fincode.tsudesk.feature.schedule.data.datasource

import kotlinx.coroutines.flow.Flow
import ru.fincode.tsudesk.feature.schedule.domain.model.ScheduleEntity

interface ScheduleLocalDataSource {
    suspend fun saveSchedule(key: String, schedule: ScheduleEntity)
    suspend fun loadSchedule(key: String): ScheduleEntity?
    fun observeSchedule(key: String): Flow<ScheduleEntity?>
    suspend fun removeSchedule(key: String)
}
